Bug 26641 - AWT mouse event handling regression
Summary: AWT mouse event handling regression
Status: RESOLVED FIXED
Alias: None
Product: classpath
Classification: Unclassified
Component: awt (show other bugs)
Version: 0.90
: P3 major
Target Milestone: 0.91
Assignee: Mark Wielaard
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-03-11 11:58 UTC by Dalibor Topic
Modified: 2006-03-28 19:04 UTC (History)
2 users (show)

See Also:
Host:
Target:
Build:
Known to work:
Known to fail:
Last reconfirmed: 2006-03-14 17:12:51


Attachments
test case (416 bytes, text/plain)
2006-03-11 11:59 UTC, Dalibor Topic
Details
Proposed patch (608 bytes, patch)
2006-03-14 17:30 UTC, Mark Wielaard
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dalibor Topic 2006-03-11 11:58:34 UTC
A thread on the Kaffe mailing list [1] was about a bug in AWT on ppc-linux. The test case is an application that draws an empty Frame and records mouse click and drag events. 

I've looked at it, and discovered that we have a regression in Classpath, since the current CVS head does not print any events, when a mouse is clicked or dragged in the Frame, not with Kaffe and not with jamvm, so I confident it is a Classpath regression.

[1] http://www.kaffe.org/pipermail/kaffe/2006-March/104014.html
Comment 1 Dalibor Topic 2006-03-11 11:59:34 UTC
Created attachment 11020 [details]
test case

Added test case
Comment 2 Mark Wielaard 2006-03-13 08:41:01 UTC
Confirmed. Worked with 0.20, fails with 0.90.
Comment 3 Mark Wielaard 2006-03-14 17:12:51 UTC
This seems to have been introduced by the LightweightDispatcher which eats up all mouse events for a window. Investigating.
Comment 4 Mark Wielaard 2006-03-14 17:30:19 UTC
Created attachment 11050 [details]
Proposed patch
Comment 5 cvs-commit@developer.classpath.org 2006-03-14 19:43:49 UTC
Subject: Bug 26641

CVSROOT:	/cvsroot/classpath
Module name:	classpath
Branch: 	
Changes by:	Mark Wielaard <mark@savannah.gnu.org>	06/03/14 19:42:50

Modified files:
	.              : ChangeLog 
	java/awt       : LightweightDispatcher.java 

Log message:
	Fixes bug #26641
	* java/awt/LightweightDispatcher.java (dispatchEvent): Return result
	of handleMouseEvent.
	(handleMouseEvent): Return boolean to indicate whether we handled the
	event by passing it to a lightweight.

CVSWeb URLs:
http://cvs.savannah.gnu.org/viewcvs/classpath/classpath/ChangeLog.diff?tr1=1.6724&tr2=1.6725&r1=text&r2=text
http://cvs.savannah.gnu.org/viewcvs/classpath/classpath/java/awt/LightweightDispatcher.java.diff?tr1=1.2&tr2=1.3&r1=text&r2=text



Comment 6 Mark Wielaard 2006-03-14 19:50:28 UTC
Fix committed
Comment 7 Tom Tromey 2006-03-28 19:02:30 UTC
Subject: Bug 26641

Author: tromey
Date: Tue Mar 28 19:02:25 2006
New Revision: 112464

URL: http://gcc.gnu.org/viewcvs?root=gcc&view=rev&rev=112464
Log:
	PR libgcj/26641:
	* Merged libltdl 1.5.16 from vendor branch.

Removed:
    trunk/libjava/libltdl/mkinstalldirs
Modified:
    trunk/libjava/libltdl/COPYING.LIB
    trunk/libjava/libltdl/ChangeLog
    trunk/libjava/libltdl/Makefile.am
    trunk/libjava/libltdl/Makefile.in
    trunk/libjava/libltdl/acinclude.m4
    trunk/libjava/libltdl/aclocal.m4
    trunk/libjava/libltdl/configure
    trunk/libjava/libltdl/configure.ac
    trunk/libjava/libltdl/install-sh
    trunk/libjava/libltdl/ltdl.c
    trunk/libjava/libltdl/ltdl.h
    trunk/libjava/libltdl/ltmain.sh
    trunk/libjava/libltdl/missing

Comment 8 Tom Tromey 2006-03-28 19:04:40 UTC
Sorry, that commit had the wrong PR number.